// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from ds_dbw_msgs:msg/MiscReport.idl
// generated code does not contain a copyright notice

#ifndef DS_DBW_MSGS__MSG__DETAIL__MISC_REPORT__STRUCT_H_
#define DS_DBW_MSGS__MSG__DETAIL__MISC_REPORT__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'turn_signal'
#include "ds_dbw_msgs/msg/detail/turn_signal__struct.h"
// Member 'parking_brake'
#include "ds_dbw_msgs/msg/detail/prk_brk_stat__struct.h"
// Member 'wiper'
#include "ds_dbw_msgs/msg/detail/wiper__struct.h"
// Member 'headlight_low_control'
#include "ds_dbw_msgs/msg/detail/headlight_ctrl_low__struct.h"
// Member 'headlight_high_control'
#include "ds_dbw_msgs/msg/detail/headlight_ctrl_high__struct.h"
// Member 'ambient_light'
#include "ds_dbw_msgs/msg/detail/ambient_light__struct.h"

/// Struct defined in msg/MiscReport in the package ds_dbw_msgs.
typedef struct ds_dbw_msgs__msg__MiscReport
{
  std_msgs__msg__Header header;
  /// Turn Signal enumeration
  ds_dbw_msgs__msg__TurnSignal turn_signal;
  /// Parking brake
  ds_dbw_msgs__msg__PrkBrkStat parking_brake;
  /// Passenger seat
  bool passenger_detect;
  bool passenger_airbag;
  /// Seat Belts
  bool buckle_driver;
  bool buckle_passenger;
  /// Doors
  bool door_driver;
  bool door_passenger;
  bool door_rear_left;
  bool door_rear_right;
  bool door_hood;
  bool door_trunk;
  /// Buttons
  /// Left D-Pad OK
  bool btn_ld_ok;
  /// Left D-Pad Up
  bool btn_ld_up;
  /// Left D-Pad Down
  bool btn_ld_down;
  /// Left D-Pad Left
  bool btn_ld_left;
  /// Left D-Pad Right
  bool btn_ld_right;
  /// Right D-Pad OK
  bool btn_rd_ok;
  /// Right D-Pad Up
  bool btn_rd_up;
  /// Right D-Pad Down
  bool btn_rd_down;
  /// Right D-Pad Left
  bool btn_rd_left;
  /// Right D-Pad Right
  bool btn_rd_right;
  /// Cruise Control Mode
  bool btn_cc_mode;
  /// Cruise Control On
  bool btn_cc_on;
  /// Cruise Control Off
  bool btn_cc_off;
  /// Cruise Control Resume
  bool btn_cc_res;
  /// Cruise Control Cancel
  bool btn_cc_cncl;
  /// Cruise Control On/Off Toggle
  bool btn_cc_on_off;
  /// Cruise Control Resume/Cancel
  bool btn_cc_res_cncl;
  /// Cruise Control Resume+
  bool btn_cc_res_inc;
  /// Cruise Control Resume-
  bool btn_cc_res_dec;
  /// Cruise Control Set+
  bool btn_cc_set_inc;
  /// Cruise Control Set-
  bool btn_cc_set_dec;
  /// Adaptive Cruise Control Gap+
  bool btn_acc_gap_inc;
  /// Adaptive Cruise Control Gap-
  bool btn_acc_gap_dec;
  /// Speed Limiter On/Off Toggle
  bool btn_limit_on_off;
  /// Lane Assist On/Off Toggle
  bool btn_la_on_off;
  /// Active Park Assist
  bool btn_apa;
  /// Media (source)
  bool btn_media;
  /// Volume increment
  bool btn_vol_inc;
  /// Volume decrement
  bool btn_vol_dec;
  /// Volume mute
  bool btn_mute;
  /// Speak
  bool btn_speak;
  /// Media previous
  bool btn_prev;
  /// Media next
  bool btn_next;
  /// Call start/answer
  bool btn_call_start;
  /// Call end/disconnect
  bool btn_call_end;
  /// Front Windshield Wipers enumeration
  ds_dbw_msgs__msg__Wiper wiper;
  /// Headlight enumerations
  bool headlight_low;
  bool headlight_high;
  ds_dbw_msgs__msg__HeadlightCtrlLow headlight_low_control;
  ds_dbw_msgs__msg__HeadlightCtrlHigh headlight_high_control;
  /// Ambient Light Sensor enumeration
  ds_dbw_msgs__msg__AmbientLight ambient_light;
  /// Outside air temperature
  /// Degrees Celsius
  float outside_air_temp;
} ds_dbw_msgs__msg__MiscReport;

// Struct for a sequence of ds_dbw_msgs__msg__MiscReport.
typedef struct ds_dbw_msgs__msg__MiscReport__Sequence
{
  ds_dbw_msgs__msg__MiscReport * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} ds_dbw_msgs__msg__MiscReport__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // DS_DBW_MSGS__MSG__DETAIL__MISC_REPORT__STRUCT_H_
